
#include "hash.h"
#include <stdio.h>

void print_digest(const SHA2Digest digest) {
  for (size_t i = 0; i < SHA2_256_HashParts; i++) {
    fprintf(stderr, "%08x", digest[i]);
  }
  fprintf(stderr, "\n");
}
